## ros-indigo-spur-controller 0.2.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(spur_controller)

find_package(catkin REQUIRED)

catkin_python_setup()

catkin_package()

install(DIRECTORY launch nodes config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-indigo-spur-controller (0.2.6-0trusty) trusty; urgency=high

  * [feat] Brush up laser_scan_matcher usage
  * [feat] add calibration
  * [fix] spur_controller/joint_state_publisher.py: fix for real robot, which currently does not have configuration setup for upper body
  * [design] use spur/laser/scan_filtered
  * Contributors: TORK 534o

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sun, 04 Oct 2015 07:00:00 -0000

ros-indigo-spur-controller (0.2.5-0trusty) trusty; urgency=high

  * [fix] Odometry accuracy
  * [sys] Cleanup
  * [sys] add spur_controller/test/cmd_vel_test.py
  * Contributors: TORK 534o, Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 29 Jul 2015 07:00:00 -0000

ros-indigo-spur-controller (0.2.4-0trusty) trusty; urgency=high

  * set use_base_odom to true as default
  * support use_base_odom args for base_contraller, on gazebo it is dsiabled by default and on realroobt, it is enabled
  * add publish_odom parm to publish odom from base_controller
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sat, 11 Jul 2015 07:00:00 -0000

ros-indigo-spur-controller (0.2.3-0trusty) trusty; urgency=high

  * [feat] Add simulation capability of dynamixel's joint_state_publisher (temporary addition until https://github.com/arebgun/dynamixel_motor/pull/27 and https://github.com/arebgun/dynamixel_motor/pull/28 get merged)
  * [sys] Fix files wrong location
  * [sys] workaround for travis test (pass visualize_laser as arg. Only hydro can be tested on travis)
  * Contributors: Isaac IY Saito, TORK 534o

 -- Hiroyuki Okada <okdhryk@gmail.com>  Thu, 02 Jul 2015 07:00:00 -0000

ros-indigo-spur-controller (0.2.2-0trusty) trusty; urgency=high

  * [Sys] Port general stuff to spur_bringup package
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Tue, 30 Jun 2015 07:00:00 -0000

ros-indigo-spur-controller (0.2.1-0trusty) trusty; urgency=high

  * (Fix) Add more dependency
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Wed, 13 May 2015 07:00:00 -0000

ros-indigo-spur-controller (0.2.0-0trusty) trusty; urgency=high

  * (Fix) Adjust spur controller to the real robot config
  * (Fix) Specific dependency
  * (Feature) Allow configuring idle time for Twist command.
  * (Doc) Copyright to the project owner. Update package description.
  * (Doc) PEP8
  * Contributors: Isaac IY Saito

 -- Hiroyuki Okada <okdhryk@gmail.com>  Sat, 09 May 2015 07:00:00 -0000

ros-indigo-spur-controller (0.1.3-0trusty) trusty; urgency=high

  * joy launch improvement
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 07 May 2015 07:00:00 -0000

ros-indigo-spur-controller (0.1.2-0trusty) trusty; urgency=high

  * (Fix) Correct sides of wheels (replacing L and R).
  * (Feat.) Separate launches to allow dynamixel to start by itself.
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 07 May 2015 07:00:00 -0000

ros-indigo-spur-controller (0.1.1-0trusty) trusty; urgency=high

  * (Feature) Add a launch for joy, kb teleop
  * Contributors: Isaac IY Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Wed, 29 Apr 2015 07:00:00 -0000

ros-indigo-spur-controller (0.1.0-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Mon, 30 Mar 2015 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-spur-controller
Section: misc
Priority: extra
Maintainer: Hiroyuki Okada <okdhryk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/spur_controller
Standards-Version: 3.9.2

Package: ros-indigo-spur-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-effort-controllers, ros-indigo-joint-state-controller, ros-indigo-joint-state-publisher, ros-indigo-robot-pose-ekf
Description: A package for mobile base control for SPUR omni-directional mobile manipulator robot made at Tamagawa University.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-spur-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
